> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Presentation Releases



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/presentations/{presentationId}/releases/{number}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/presentations/{presentationId}/releases/{number}:
    get:
      tags:
        - Presentation Releases
      summary: Get Presentation Releases
      operationId: PresentationReleasesController_get_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: presentationId
          required: true
          in: path
          schema:
            type: string
        - name: number
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PresentationReleaseDetailDto'
components:
  schemas:
    PresentationReleaseDetailDto:
      type: object
      properties:
        id:
          type: string
        number:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        label:
          type: string
        notes:
          type:
            - string
            - 'null'
        createdAt:
          type: string
        createdBy:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
          required:
            - id
            - name
          additionalProperties: false
        presentationId:
          type: string
        projectId:
          type: string
        name:
          type: string
        document:
          type: object
          properties:
            schemaVersion:
              type: number
              enum:
                - 1
            pageSize:
              type: string
              enum:
                - fluid
                - a4
                - letter
                - tabloid
            orientation:
              type: string
              enum:
                - portrait
                - landscape
            settings:
              type: object
              properties:
                typography:
                  type: object
                  properties:
                    heading:
                      type: number
                      minimum: 6
                      maximum: 200
                    paragraph:
                      type: number
                      minimum: 6
                      maximum: 200
                    product:
                      anyOf:
                        - type: number
                          minimum: 6
                          maximum: 200
                        - type: 'null'
                  required:
                    - heading
                    - paragraph
                    - product
                  additionalProperties: false
                board:
                  type: object
                  properties:
                    textColor:
                      anyOf:
                        - type: string
                          maxLength: 255
                        - type: 'null'
                    font:
                      anyOf:
                        - type: string
                          maxLength: 255
                        - type: 'null'
                    background:
                      anyOf:
                        - oneOf:
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - color
                                value:
                                  type: string
                                  maxLength: 255
                              required:
                                - type
                                - value
                              additionalProperties: false
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - image
                                uploadId:
                                  type: string
                                  pattern: >-
                                    ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
                              required:
                                - type
                                - uploadId
                              additionalProperties: false
                        - type: 'null'
                  required:
                    - font
                    - background
                  additionalProperties: false
                product:
                  type: object
                  properties:
                    font:
                      anyOf:
                        - type: string
                          maxLength: 255
                        - type: 'null'
                    textColor:
                      anyOf:
                        - type: string
                          maxLength: 255
                        - type: 'null'
                    background:
                      anyOf:
                        - type: string
                          maxLength: 255
                        - type: 'null'
                    cardFields:
                      maxItems: 9
                      type: array
                      items:
                        type: string
                        enum:
                          - name
                          - vendor
                          - finish
                          - price
                          - sku
                          - dimensions
                          - leadTime
                          - quantity
                          - area
                  required:
                    - font
                    - textColor
                    - background
                    - cardFields
                  additionalProperties: false
                footer:
                  type: object
                  properties:
                    enabled:
                      type: boolean
                    text:
                      type: string
                      maxLength: 4000
                    showPageNumbers:
                      type: boolean
                  required:
                    - enabled
                    - text
                    - showPageNumbers
                  additionalProperties: false
                watermark:
                  type: object
                  properties:
                    enabled:
                      type: boolean
                    text:
                      type: string
                      maxLength: 4000
                    opacity:
                      type: number
                      minimum: 0
                      maximum: 1
                  required:
                    - enabled
                    - text
                    - opacity
                  additionalProperties: false
              required:
                - typography
                - board
                - product
                - footer
                - watermark
              additionalProperties: false
            slides:
              minItems: 1
              maxItems: 100
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                    minLength: 1
                    maxLength: 100
                  areaId:
                    anyOf:
                      - type: string
                        pattern: ^[1-9]\d{0,18}$
                      - type: 'null'
                  items:
                    maxItems: 200
                    type: array
                    items:
                      oneOf:
                        - type: object
                          properties:
                            id:
                              type: string
                              minLength: 1
                              maxLength: 100
                            x:
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            'y':
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            w:
                              type: number
                              minimum: 0
                              maximum: 1000000
                            h:
                              type: number
                              minimum: 0
                              maximum: 1000000
                            z:
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            rotation:
                              type: number
                              exclusiveMinimum: -180
                              maximum: 180
                            type:
                              type: string
                              enum:
                                - image
                            image:
                              anyOf:
                                - anyOf:
                                    - type: object
                                      properties:
                                        uploadId:
                                          type: string
                                          pattern: >-
                                            ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
                                      required:
                                        - uploadId
                                      additionalProperties: false
                                    - type: object
                                      properties:
                                        productRef:
                                          oneOf:
                                            - type: object
                                              properties:
                                                kind:
                                                  enum:
                                                    - project_item
                                                  type: string
                                                slotId:
                                                  type: string
                                                  pattern: ^[1-9]\d{0,18}$
                                              required:
                                                - kind
                                                - slotId
                                              additionalProperties: false
                                            - type: object
                                              properties:
                                                kind:
                                                  type: string
                                                  enum:
                                                    - catalog_item
                                                catalogItemId:
                                                  type: string
                                                  pattern: ^[1-9]\d{0,18}$
                                              required:
                                                - kind
                                                - catalogItemId
                                              additionalProperties: false
                                            - type: object
                                              properties:
                                                kind:
                                                  type: string
                                                  enum:
                                                    - presentation_item
                                                presentationItemId:
                                                  type: string
                                                  pattern: ^[1-9]\d{0,18}$
                                              required:
                                                - kind
                                                - presentationItemId
                                              additionalProperties: false
                                        imageIndex:
                                          type: integer
                                          minimum: 0
                                          maximum: 11
                                      required:
                                        - productRef
                                        - imageIndex
                                      additionalProperties: false
                                    - type: object
                                      properties:
                                        url:
                                          type: string
                                          maxLength: 4096
                                      required:
                                        - url
                                      additionalProperties: false
                                - type: 'null'
                            name:
                              anyOf:
                                - type: string
                                  maxLength: 255
                                - type: 'null'
                            fit:
                              type: string
                              enum:
                                - fit
                                - fill
                                - tile
                            flipX:
                              type: boolean
                            crop:
                              anyOf:
                                - type: object
                                  properties:
                                    x:
                                      type: number
                                      minimum: -1000000
                                      maximum: 1000000
                                    'y':
                                      type: number
                                      minimum: -1000000
                                      maximum: 1000000
                                    w:
                                      type: number
                                      minimum: 0
                                      maximum: 1000000
                                    h:
                                      type: number
                                      minimum: 0
                                      maximum: 1000000
                                  required:
                                    - x
                                    - 'y'
                                    - w
                                    - h
                                  additionalProperties: false
                                - type: 'null'
                          required:
                            - id
                            - x
                            - 'y'
                            - w
                            - h
                            - z
                            - rotation
                            - type
                            - image
                            - name
                            - fit
                            - flipX
                            - crop
                          additionalProperties: false
                        - type: object
                          properties:
                            id:
                              type: string
                              minLength: 1
                              maxLength: 100
                            x:
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            'y':
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            w:
                              type: number
                              minimum: 0
                              maximum: 1000000
                            h:
                              type: number
                              minimum: 0
                              maximum: 1000000
                            z:
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            rotation:
                              type: number
                              exclusiveMinimum: -180
                              maximum: 180
                            type:
                              type: string
                              enum:
                                - product
                            ref:
                              oneOf:
                                - type: object
                                  properties:
                                    kind:
                                      enum:
                                        - project_item
                                      type: string
                                    slotId:
                                      type: string
                                      pattern: ^[1-9]\d{0,18}$
                                  required:
                                    - kind
                                    - slotId
                                  additionalProperties: false
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      enum:
                                        - catalog_item
                                    catalogItemId:
                                      type: string
                                      pattern: ^[1-9]\d{0,18}$
                                  required:
                                    - kind
                                    - catalogItemId
                                  additionalProperties: false
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      enum:
                                        - presentation_item
                                    presentationItemId:
                                      type: string
                                      pattern: ^[1-9]\d{0,18}$
                                  required:
                                    - kind
                                    - presentationItemId
                                  additionalProperties: false
                            fields:
                              anyOf:
                                - maxItems: 9
                                  type: array
                                  items:
                                    type: string
                                    enum:
                                      - name
                                      - vendor
                                      - finish
                                      - price
                                      - sku
                                      - dimensions
                                      - leadTime
                                      - quantity
                                      - area
                                - type: 'null'
                            fontSize:
                              anyOf:
                                - type: number
                                  minimum: 6
                                  maximum: 200
                                - type: 'null'
                            parts:
                              anyOf:
                                - type: object
                                  properties:
                                    image:
                                      type: object
                                      properties:
                                        x:
                                          type: number
                                          minimum: -1000000
                                          maximum: 1000000
                                        'y':
                                          type: number
                                          minimum: -1000000
                                          maximum: 1000000
                                        w:
                                          type: number
                                          minimum: 0
                                          maximum: 1000000
                                        h:
                                          type: number
                                          minimum: 0
                                          maximum: 1000000
                                      required:
                                        - x
                                        - 'y'
                                        - w
                                        - h
                                      additionalProperties: false
                                    text:
                                      type: object
                                      properties:
                                        x:
                                          type: number
                                          minimum: -1000000
                                          maximum: 1000000
                                        'y':
                                          type: number
                                          minimum: -1000000
                                          maximum: 1000000
                                        w:
                                          type: number
                                          minimum: 0
                                          maximum: 1000000
                                        h:
                                          type: number
                                          minimum: 0
                                          maximum: 1000000
                                      required:
                                        - x
                                        - 'y'
                                        - w
                                        - h
                                      additionalProperties: false
                                  required:
                                    - image
                                    - text
                                  additionalProperties: false
                                - type: 'null'
                            relations:
                              anyOf:
                                - type: object
                                  properties:
                                    materials:
                                      anyOf:
                                        - type: object
                                          properties:
                                            show:
                                              type: boolean
                                            fields:
                                              maxItems: 6
                                              type: array
                                              items:
                                                type: string
                                                enum:
                                                  - image
                                                  - name
                                                  - finish
                                                  - location
                                                  - quantity
                                                  - price
                                            keys:
                                              anyOf:
                                                - maxItems: 12
                                                  type: array
                                                  items:
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 100
                                                - type: 'null'
                                            order:
                                              anyOf:
                                                - maxItems: 12
                                                  type: array
                                                  items:
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 100
                                                - type: 'null'
                                          required:
                                            - show
                                            - fields
                                            - keys
                                            - order
                                          additionalProperties: false
                                        - type: 'null'
                                    linked:
                                      anyOf:
                                        - type: object
                                          properties:
                                            show:
                                              type: boolean
                                            fields:
                                              maxItems: 7
                                              type: array
                                              items:
                                                type: string
                                                enum:
                                                  - image
                                                  - name
                                                  - vendor
                                                  - finish
                                                  - price
                                                  - dimensions
                                                  - leadTime
                                            keys:
                                              anyOf:
                                                - maxItems: 12
                                                  type: array
                                                  items:
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 100
                                                - type: 'null'
                                            order:
                                              anyOf:
                                                - maxItems: 12
                                                  type: array
                                                  items:
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 100
                                                - type: 'null'
                                          required:
                                            - show
                                            - fields
                                            - keys
                                            - order
                                          additionalProperties: false
                                        - type: 'null'
                                    alternatives:
                                      anyOf:
                                        - type: object
                                          properties:
                                            show:
                                              type: boolean
                                            fields:
                                              maxItems: 8
                                              type: array
                                              items:
                                                type: string
                                                enum:
                                                  - image
                                                  - name
                                                  - vendor
                                                  - price
                                                  - finish
                                                  - dimensions
                                                  - leadTime
                                                  - inStock
                                            keys:
                                              anyOf:
                                                - maxItems: 12
                                                  type: array
                                                  items:
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 100
                                                - type: 'null'
                                            order:
                                              anyOf:
                                                - maxItems: 12
                                                  type: array
                                                  items:
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 100
                                                - type: 'null'
                                          required:
                                            - show
                                            - fields
                                            - keys
                                            - order
                                          additionalProperties: false
                                        - type: 'null'
                                  additionalProperties: false
                                - type: 'null'
                            images:
                              anyOf:
                                - type: object
                                  properties:
                                    view:
                                      type: string
                                      enum:
                                        - single
                                        - all
                                    index:
                                      type: integer
                                      minimum: 0
                                      maximum: 11
                                  required:
                                    - view
                                    - index
                                  additionalProperties: false
                                - type: 'null'
                          required:
                            - id
                            - x
                            - 'y'
                            - w
                            - h
                            - z
                            - rotation
                            - type
                            - ref
                            - fields
                            - fontSize
                          additionalProperties: false
                        - type: object
                          properties:
                            id:
                              type: string
                              minLength: 1
                              maxLength: 100
                            x:
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            'y':
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            w:
                              type: number
                              minimum: 0
                              maximum: 1000000
                            h:
                              type: number
                              minimum: 0
                              maximum: 1000000
                            z:
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            rotation:
                              type: number
                              exclusiveMinimum: -180
                              maximum: 180
                            type:
                              type: string
                              enum:
                                - material
                            ref:
                              anyOf:
                                - oneOf:
                                    - type: object
                                      properties:
                                        kind:
                                          enum:
                                            - project_item
                                          type: string
                                        slotId:
                                          type: string
                                          pattern: ^[1-9]\d{0,18}$
                                      required:
                                        - kind
                                        - slotId
                                      additionalProperties: false
                                    - type: object
                                      properties:
                                        kind:
                                          type: string
                                          enum:
                                            - catalog_item
                                        catalogItemId:
                                          type: string
                                          pattern: ^[1-9]\d{0,18}$
                                      required:
                                        - kind
                                        - catalogItemId
                                      additionalProperties: false
                                    - type: object
                                      properties:
                                        kind:
                                          type: string
                                          enum:
                                            - presentation_item
                                        presentationItemId:
                                          type: string
                                          pattern: ^[1-9]\d{0,18}$
                                      required:
                                        - kind
                                        - presentationItemId
                                      additionalProperties: false
                                - type: 'null'
                            name:
                              type: string
                              maxLength: 255
                            vendor:
                              anyOf:
                                - type: string
                                  maxLength: 255
                                - type: 'null'
                            color:
                              type: string
                              maxLength: 255
                          required:
                            - id
                            - x
                            - 'y'
                            - w
                            - h
                            - z
                            - rotation
                            - type
                            - ref
                            - name
                            - vendor
                            - color
                          additionalProperties: false
                        - type: object
                          properties:
                            id:
                              type: string
                              minLength: 1
                              maxLength: 100
                            x:
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            'y':
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            w:
                              type: number
                              minimum: 0
                              maximum: 1000000
                            h:
                              type: number
                              minimum: 0
                              maximum: 1000000
                            z:
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            rotation:
                              type: number
                              exclusiveMinimum: -180
                              maximum: 180
                            text:
                              type: string
                              maxLength: 4000
                            fontSize:
                              anyOf:
                                - type: number
                                  minimum: 6
                                  maximum: 200
                                - type: 'null'
                            color:
                              anyOf:
                                - type: string
                                  maxLength: 255
                                - type: 'null'
                            background:
                              anyOf:
                                - type: string
                                  maxLength: 255
                                - type: 'null'
                            type:
                              type: string
                              enum:
                                - heading
                          required:
                            - id
                            - x
                            - 'y'
                            - w
                            - h
                            - z
                            - rotation
                            - text
                            - fontSize
                            - color
                            - background
                            - type
                          additionalProperties: false
                        - type: object
                          properties:
                            id:
                              type: string
                              minLength: 1
                              maxLength: 100
                            x:
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            'y':
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            w:
                              type: number
                              minimum: 0
                              maximum: 1000000
                            h:
                              type: number
                              minimum: 0
                              maximum: 1000000
                            z:
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            rotation:
                              type: number
                              exclusiveMinimum: -180
                              maximum: 180
                            text:
                              type: string
                              maxLength: 4000
                            fontSize:
                              anyOf:
                                - type: number
                                  minimum: 6
                                  maximum: 200
                                - type: 'null'
                            color:
                              anyOf:
                                - type: string
                                  maxLength: 255
                                - type: 'null'
                            background:
                              anyOf:
                                - type: string
                                  maxLength: 255
                                - type: 'null'
                            type:
                              type: string
                              enum:
                                - paragraph
                          required:
                            - id
                            - x
                            - 'y'
                            - w
                            - h
                            - z
                            - rotation
                            - text
                            - fontSize
                            - color
                            - background
                            - type
                          additionalProperties: false
                        - type: object
                          properties:
                            id:
                              type: string
                              minLength: 1
                              maxLength: 100
                            x:
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            'y':
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            w:
                              type: number
                              minimum: 0
                              maximum: 1000000
                            h:
                              type: number
                              minimum: 0
                              maximum: 1000000
                            z:
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            type:
                              type: string
                              enum:
                                - arrow
                            ax:
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            ay:
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            bx:
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            by:
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            bends:
                              maxItems: 50
                              type: array
                              items:
                                type: object
                                properties:
                                  x:
                                    type: number
                                    minimum: -1000000
                                    maximum: 1000000
                                  'y':
                                    type: number
                                    minimum: -1000000
                                    maximum: 1000000
                                required:
                                  - x
                                  - 'y'
                                additionalProperties: false
                            color:
                              type: string
                              maxLength: 255
                          required:
                            - id
                            - x
                            - 'y'
                            - w
                            - h
                            - z
                            - type
                            - ax
                            - ay
                            - bx
                            - by
                            - bends
                            - color
                          additionalProperties: false
                        - type: object
                          properties:
                            id:
                              type: string
                              minLength: 1
                              maxLength: 100
                            x:
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            'y':
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            w:
                              type: number
                              minimum: 0
                              maximum: 1000000
                            h:
                              type: number
                              minimum: 0
                              maximum: 1000000
                            z:
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            rotation:
                              type: number
                              exclusiveMinimum: -180
                              maximum: 180
                            type:
                              type: string
                              enum:
                                - floorplan
                            areaId:
                              type: string
                              pattern: ^[1-9]\d{0,18}$
                            showPins:
                              type: boolean
                          required:
                            - id
                            - x
                            - 'y'
                            - w
                            - h
                            - z
                            - rotation
                            - type
                            - areaId
                            - showPins
                          additionalProperties: false
                        - type: object
                          properties:
                            id:
                              type: string
                              minLength: 1
                              maxLength: 100
                            x:
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            'y':
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            w:
                              type: number
                              minimum: 0
                              maximum: 1000000
                            h:
                              type: number
                              minimum: 0
                              maximum: 1000000
                            z:
                              type: number
                              minimum: -1000000
                              maximum: 1000000
                            rotation:
                              type: number
                              exclusiveMinimum: -180
                              maximum: 180
                            type:
                              type: string
                              enum:
                                - placeholder
                            kind:
                              type: string
                              enum:
                                - image
                                - product
                                - floorplan
                                - material
                          required:
                            - id
                            - x
                            - 'y'
                            - w
                            - h
                            - z
                            - rotation
                            - type
                            - kind
                          additionalProperties: false
                required:
                  - id
                  - areaId
                  - items
                additionalProperties: false
          required:
            - schemaVersion
            - pageSize
            - orientation
            - settings
            - slides
          additionalProperties: false
        refs:
          type: object
          properties:
            products:
              type: object
              propertyNames:
                type: string
              additionalProperties:
                type: object
                properties:
                  budgetKey:
                    type:
                      - string
                      - 'null'
                  missing:
                    type: boolean
                  name:
                    type:
                      - string
                      - 'null'
                  vendor:
                    type:
                      - string
                      - 'null'
                  finish:
                    type:
                      - string
                      - 'null'
                  sku:
                    type:
                      - string
                      - 'null'
                  dimensions:
                    type:
                      - string
                      - 'null'
                  leadTime:
                    type:
                      - string
                      - 'null'
                  price:
                    type:
                      - number
                      - 'null'
                  qty:
                    type:
                      - number
                      - 'null'
                  category:
                    type:
                      - string
                      - 'null'
                  area:
                    type:
                      - string
                      - 'null'
                  imageUrl:
                    type:
                      - string
                      - 'null'
                  images:
                    type: array
                    items:
                      type: object
                      properties:
                        url:
                          type: string
                        label:
                          type:
                            - string
                            - 'null'
                      required:
                        - url
                        - label
                      additionalProperties: false
                  materials:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        finish:
                          type:
                            - string
                            - 'null'
                        location:
                          type:
                            - string
                            - 'null'
                        quantity:
                          type:
                            - string
                            - 'null'
                        price:
                          type:
                            - number
                            - 'null'
                        imageUrl:
                          type:
                            - string
                            - 'null'
                      required:
                        - id
                        - name
                        - finish
                        - location
                        - quantity
                        - price
                        - imageUrl
                      additionalProperties: false
                  linkedItems:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        vendor:
                          type:
                            - string
                            - 'null'
                        finish:
                          type:
                            - string
                            - 'null'
                        price:
                          type:
                            - number
                            - 'null'
                        dimensions:
                          type:
                            - string
                            - 'null'
                        leadTime:
                          type:
                            - string
                            - 'null'
                        imageUrl:
                          type:
                            - string
                            - 'null'
                      required:
                        - id
                        - name
                        - vendor
                        - finish
                        - price
                        - dimensions
                        - leadTime
                        - imageUrl
                      additionalProperties: false
                  alternatives:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        vendor:
                          type:
                            - string
                            - 'null'
                        price:
                          type:
                            - number
                            - 'null'
                        finish:
                          type:
                            - string
                            - 'null'
                        dimensions:
                          type:
                            - string
                            - 'null'
                        leadTime:
                          type:
                            - string
                            - 'null'
                        inStock:
                          type:
                            - boolean
                            - 'null'
                        imageUrl:
                          type:
                            - string
                            - 'null'
                      required:
                        - id
                        - name
                        - vendor
                        - price
                        - finish
                        - dimensions
                        - leadTime
                        - inStock
                        - imageUrl
                      additionalProperties: false
                  counts:
                    type: object
                    properties:
                      materials:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                      linkedItems:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                      alternatives:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                    required:
                      - materials
                      - linkedItems
                      - alternatives
                    additionalProperties: false
                required:
                  - missing
                  - name
                  - vendor
                  - finish
                  - sku
                  - dimensions
                  - leadTime
                  - price
                  - qty
                  - category
                  - area
                  - imageUrl
                  - images
                  - materials
                  - linkedItems
                  - alternatives
                  - counts
                additionalProperties: false
            uploads:
              type: object
              propertyNames:
                type: string
              additionalProperties:
                type: object
                properties:
                  url:
                    type: string
                required:
                  - url
                additionalProperties: false
            floorPlans:
              type: object
              propertyNames:
                type: string
              additionalProperties:
                type: object
                properties:
                  missing:
                    type: boolean
                  areaName:
                    type:
                      - string
                      - 'null'
                  imageUrl:
                    type:
                      - string
                      - 'null'
                  pins:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        slotId:
                          type: string
                        x:
                          type: number
                        'y':
                          type: number
                        label:
                          type:
                            - string
                            - 'null'
                      required:
                        - id
                        - slotId
                        - x
                        - 'y'
                        - label
                      additionalProperties: false
                required:
                  - missing
                  - areaName
                  - imageUrl
                  - pins
                additionalProperties: false
          required:
            - products
            - uploads
            - floorPlans
          additionalProperties: false
      required:
        - id
        - number
        - label
        - notes
        - createdAt
        - createdBy
        - presentationId
        - projectId
        - name
        - document
        - refs
      additionalProperties: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.